package speiger.src.coreengine.rendering.utils.values;

import org.lwjgl.opengl.GL15;

public enum BufferState implements IGLValue {
	STATIC_DRAW(GL15.GL_STATIC_DRAW),
	STATIC_READ(GL15.GL_STATIC_READ),
	STATIC_COPY(GL15.GL_STATIC_COPY),
	STREAM_DRAW(GL15.GL_STREAM_DRAW),
	STREAM_READ(GL15.GL_STREAM_READ),
	STREAM_COPY(GL15.GL_STREAM_COPY),
	DYNAMIC_DRAW(GL15.GL_DYNAMIC_DRAW),
	DYNAMIC_READ(GL15.GL_DYNAMIC_READ),
	DYNAMIC_COPY(GL15.GL_DYNAMIC_COPY);
	
	int glValue;

	private BufferState(int glValue) {
		this.glValue = glValue;
	}
	
	@Override
	public int glValue() {
		return glValue;
	}
}
